using System;
using System.Collections.Generic;
using System.Text;

namespace SnakeGame.Common.Interfaces
{
    public enum LocationStatus
    {
        EMPTY,
        SNAKE,
        APPLE,
        WALL
    }
    public interface IGame
    {
        void add(int x, int y);
        void remove(int x, int y);
        LocationStatus getStatus(int x, int y);
        void left();
        void right();
        void up();
        void down();
        void step();
        void eat();
    }
}
