using System;
using System.Collections.Generic;
using SnakeGame.Common.Interfaces;

namespace SnakeGame.Common.Objects
{
    public class Level01 : BaseLevel
    {
        public override void getPlayField(LocationStatus[][] statusGrid, int width, int height)
        {
            // Make the horizontal line
            for (int i = 4; i < width - 4; i++)
            {
                int j = height / 2;
                statusGrid[i][j] = LocationStatus.WALL;
            }

            base.getPlayField(statusGrid, width, height);
        }

        public override string ToString()
        {
            return "Level 1";
        }
    }
}