using System;
using System.Collections.Generic;
using SnakeGame.Common.Interfaces;

namespace SnakeGame.Common.Objects
{
    public class Level02 : BaseLevel
    {
        public override void getPlayField(LocationStatus[][] statusGrid, int width, int height)
        {
            // Make the horizontal line
            for (int j = 4; j < height - 4; j++)
            {
                int i1 = width / 3;
                int i2 = 2*width / 3;
                statusGrid[i1][j] = LocationStatus.WALL;
                statusGrid[i2][j] = LocationStatus.WALL;
            }

            base.getPlayField(statusGrid, width, height);
        }

        public override string ToString()
        {
            return "Level 2";
        }
    }
}