using System;
using System.Collections.Generic;
using SnakeGame.Common.Interfaces;

namespace SnakeGame.Common.Objects
{
    public class BaseLevel : ILevel
    {
        public virtual void getPlayField(LocationStatus[][] statusGrid, int width, int height)
        {
            // Top and bottom walls
            for (int i = 0; i < width; i++)
            {
                statusGrid[i][0] = LocationStatus.WALL;
                statusGrid[i][height - 1] = LocationStatus.WALL;
            }

            // Left and right walls
            for (int j = 0; j < height; j++)
            {
                statusGrid[0][j] = LocationStatus.WALL;
                statusGrid[width - 1][j] = LocationStatus.WALL;
            }
        }
    }
}
