using System;
using System.Collections.Generic;
using SnakeGame.Common.Interfaces;

namespace SnakeGame.Common.Objects
{
    public class Level03 : BaseLevel
    {
        public override void getPlayField(LocationStatus[][] statusGrid, int width, int height)
        {
            // Make the horizontal line
            
            for (int i = 8; i < width - 8; i++)
            {
                int j = height / 2;
                statusGrid[i][j] = LocationStatus.WALL;
            }

            for (int j = 4; j < height - 4; j++)
            {
                int i1 = 4;
                int i2 = width-4;
                statusGrid[i1][j] = LocationStatus.WALL;
                statusGrid[i2][j] = LocationStatus.WALL;
            }

            base.getPlayField(statusGrid, width, height);
        }

        public override string ToString()
        {
            return "Level 3";
        }
    }
}